CVE-2005-1722
CVSS7.2
发布时间 :2005-06-16 00:00:00
修订时间 :2008-09-05 16:49:54
NMCO    

[原文]Unknown vulnerability in the CoreGraphics Window Server for Mac OS X 10.4.x up to 10.4.1 allows local users to inject arbitrary commands into root sessions.


[CNNVD]Apple Mac OS X 任意命令注入漏洞(CNNVD-200506-145)

        Mac OS X 10.4.x 到10.4.1操作系统下的CoreGraphics Window Server程序存在未知漏洞,本地用户可将任意命令注入到根会话中。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x_server:10.4.1Apple Mac OS X Server 10.4.1
cpe:/o:apple:mac_os_x:10.4Apple Mac OS X 10.4
cpe:/o:apple:mac_os_x_server:10.4Apple Mac OS X Server 10.4
cpe:/o:apple:mac_os_x:10.4.1Apple Mac OS X 10.4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1722
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1722
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-145
(官方数据源) CNNVD

- 其它链接及资源

http://lists.apple.com/archives/security-announce/2005/Jun/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2005-06-08

- 漏洞信息

Apple Mac OS X 任意命令注入漏洞
高危 资料不足
2005-06-16 00:00:00 2005-10-20 00:00:00
远程※本地  
        Mac OS X 10.4.x 到10.4.1操作系统下的CoreGraphics Window Server程序存在未知漏洞,本地用户可将任意命令注入到根会话中。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apple Mac OS X 10.3.9
        Apple SecUpd2005-006Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06439&platform=osx&method=sa/SecUpd2005-006Pan.dmg
        Apple Mac OS X Server 10.3.9
        Apple SecUpd2005-006Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06439&platform=osx&method=sa/SecUpd2005-006Pan.dmg
        Apple Mac OS X Server 10.4.1
        Apple SecUpd2005-006Ti.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06440&platform=osx&method=sa/SecUpd2005-006Ti.dmg
        Apple Mac OS X 10.4.1
        Apple SecUpd2005-006Ti.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06440&platform=osx&method=sa/SecUpd2005-006Ti.dmg

- 漏洞信息

17267
Apple Mac OS X CoreGraphics/PDFKit Malformed PDF DoS
Local Access Required Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

Mac OS X contains a flaw that may allow a local denial of service. The issue is triggered when a poorly or mailiciously formed PDF document is passed to PDFKit or CoreGraphics for rendering, and as part of the cleanup process a check for a NULL pointer is omitted. This will result in loss of availability for the service.

- 时间线

2005-06-02 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站